###########################################################################
#   $Id$
#
#  Sample snmp.conf for using netdisco-mibs
#
#   Run the command 'snmpconf' for help generating a harder file
#                or 'man snmp.conf'
#
#   Usually you move this file to /usr/local/share/snmp/snmp.conf
#                              or ~/.snmp/snmp.conf
#
#  Netdisco users : You can get away without doing this step, this just
#                   makes sure you don't have any versions of these mibs
#                   in a system directory that is overriding our versions.
###########################################################################

# Your community string (only for non-netdisco use of the mibs)
#defcommunity          public

# Your SNMP Version (1|2c|3)  (ditto)
#defversion            2c

# Change /usr/pkg/netdisco to the directory you installed netdisco-mibs into
#        if using outside of netdisco.
mibdirs /usr/pkg/netdisco/mibs/rfc
mibdirs +/usr/pkg/netdisco/mibs/cisco

mibdirs +/usr/pkg/netdisco/mibs/3com
mibdirs +/usr/pkg/netdisco/mibs/alcatel
mibdirs +/usr/pkg/netdisco/mibs/allied
mibdirs +/usr/pkg/netdisco/mibs/apc
mibdirs +/usr/pkg/netdisco/mibs/arista
mibdirs +/usr/pkg/netdisco/mibs/aruba
mibdirs +/usr/pkg/netdisco/mibs/asante
mibdirs +/usr/pkg/netdisco/mibs/avaya
mibdirs +/usr/pkg/netdisco/mibs/bluecoat
mibdirs +/usr/pkg/netdisco/mibs/bluesocket
mibdirs +/usr/pkg/netdisco/mibs/cabletron
mibdirs +/usr/pkg/netdisco/mibs/checkpoint
mibdirs +/usr/pkg/netdisco/mibs/citrix
mibdirs +/usr/pkg/netdisco/mibs/colubris
mibdirs +/usr/pkg/netdisco/mibs/cyclades
mibdirs +/usr/pkg/netdisco/mibs/d-link
mibdirs +/usr/pkg/netdisco/mibs/dell
mibdirs +/usr/pkg/netdisco/mibs/enterasys 
mibdirs +/usr/pkg/netdisco/mibs/extreme
mibdirs +/usr/pkg/netdisco/mibs/extricom
mibdirs +/usr/pkg/netdisco/mibs/f5
mibdirs +/usr/pkg/netdisco/mibs/force10
mibdirs +/usr/pkg/netdisco/mibs/foundry
mibdirs +/usr/pkg/netdisco/mibs/h3c
mibdirs +/usr/pkg/netdisco/mibs/hp
mibdirs +/usr/pkg/netdisco/mibs/huawei
mibdirs +/usr/pkg/netdisco/mibs/ibm
mibdirs +/usr/pkg/netdisco/mibs/juniper
mibdirs +/usr/pkg/netdisco/mibs/lantronix
mibdirs +/usr/pkg/netdisco/mibs/mikrotik
mibdirs +/usr/pkg/netdisco/mibs/net-snmp
mibdirs +/usr/pkg/netdisco/mibs/netgear
mibdirs +/usr/pkg/netdisco/mibs/netscreen
mibdirs +/usr/pkg/netdisco/mibs/nortel
mibdirs +/usr/pkg/netdisco/mibs/packetfront
mibdirs +/usr/pkg/netdisco/mibs/pica8
mibdirs +/usr/pkg/netdisco/mibs/rad
mibdirs +/usr/pkg/netdisco/mibs/riverbed
mibdirs +/usr/pkg/netdisco/mibs/ruckus
mibdirs +/usr/pkg/netdisco/mibs/sonicwall
mibdirs +/usr/pkg/netdisco/mibs/trapeze
mibdirs +/usr/pkg/netdisco/mibs/xirrus

# ^^ Remove or comment out the vendors you won't be using to save memory/time.
# Also, trying to load *all* mibs will probably result in errors with Net-SNMP
# because the combined number of Textual-Conventions in the MIBs is too large for
# default builds of Net-SNMP. This maximum is a compile-time option.
#
#       You always need rfc and cisco mibdirs

# Note 'mibdirs' seemed to be not working on Net-SNMP 5.0.6, other versions may be affected.
# To fix, comment out the above lines and do this instead:
#   (assuming this directory is /usr/pkg/netdisco/mibs)
#
#       cd /usr/local/share/snmp
#       mv mibs mibs.old
#       mkdir mibs 
#       cd mibs
#       ln -s /usr/pkg/netdisco/mibs/*/* .

mibreplacewithlatest  yes
mibs ALL
